Module java.base
Package java.util.concurrent

## Class ThreadPoolExecutor.AbortPolicy

- java.lang.Object
- - java.util.concurrent.ThreadPoolExecutor.AbortPolicy

All Implemented Interfaces:
  RejectedExecutionHandler

Enclosing class:
  ThreadPoolExecutor

    public static class ThreadPoolExecutor.AbortPolicy
    extends Object
    implements RejectedExecutionHandler

A handler for rejected tasks that throws a `RejectedExecutionException`.

### Constructor Summary

Constructors
Constructor and Description
`AbortPolicy()` Creates an `AbortPolicy`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `rejectedExecution(Runnable r, ThreadPoolExecutor e)` Always throws RejectedExecutionException.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbortPolicy

    public AbortPolicy()

Creates an `AbortPolicy`.

### Method Detail

#### rejectedExecution

    public void rejectedExecution(Runnable r,
                                  ThreadPoolExecutor e)

Always throws RejectedExecutionException.

Specified by:
  `rejectedExecution` in interface `RejectedExecutionHandler`
Parameters:
  `r` - the runnable task requested to be executed
  `e` - the executor attempting to execute this task
Throws:
  `RejectedExecutionException` - always